For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SupportDiscordGo to dashboard
HomeDocsAPI ReferenceLiquidity IntegrationChangelog
HomeDocsAPI ReferenceLiquidity IntegrationChangelog
    • API Overview
  • EVM APIs
  • Solana Swap APIs
  • Cross-Chain APIs
      • GETgetQuotes
      • GETgetStatus
      • GETlistSources
      • GETgetTxHistory
      • GETstreamQuotes
LogoLogo
Contact SupportDiscordGo to dashboard
Cross-Chain APIsCross Chain

getTxHistory

||View as Markdown|
GET
https://api.0x.org/cross-chain/tx-history-beta
GET
/cross-chain/tx-history-beta
$curl -G https://api.0x.org/cross-chain/tx-history-beta \
> -H "0x-api-key: a1b2c3d4e5f67890123456789abcdef0" \
> -H "Content-Type: application/json" \
> -d user=0xAb5801a7D398351b8bE11C439e05C5B3259aec9 \
> -d limit=20 \
> -d cursor=eyJwYWdlIjoxfQ
1{
2 "transactions": [
3 {
4 "originChain": 1,
5 "originTx": "0x5e2b3f4a9c8d7e6f1234567890abcdef1234567890abcdef1234567890abcdef",
6 "destinationChain": 137,
7 "destinationTx": "0x9f8e7d6c5b4a3210fedcba9876543210fedcba9876543210fedcba9876543210",
8 "status": "completed",
9 "bridge": "Hop Protocol"
10 }
11 ],
12 "pagination": {
13 "limit": 20,
14 "nextCursor": "eyJwYWdlIjoyfQ==",
15 "hasMore": true
16 },
17 "zid": "zid_1234567890abcdef"
18}

Get cross-chain transaction history for a user wallet address. Note: this endpoint is in beta and still a work in progress — please reach out to the 0x team if you or your users run into any issues.

Was this page helpful?
Previous

listSources

Next

streamQuotes

Built with

Headers

0x-api-keystringRequired
Visit dashboard.0x.org to get your API Key

Query parameters

userstringRequired

The wallet address of the user to get transaction history for. Accepts EVM (0x…), Solana, and Tron addresses

limitintegerOptional1-100Defaults to 20
Maximum number of transactions to return
cursorstringOptional

Response

Successful response
transactionslist of objects
List of transaction history records
paginationobject
Pagination information
zidstring
The unique ZeroEx identifier of the request

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error